function onBegin()
  makeUnskippable()
  disableRetry()
  disableMovement()

  say("edroom5")
  walk(8,false,1,false)
  wait(2.5)
  say("edroom6")
  wait(1.0)
  teleportTo(6920,-3442,"d-end2")

  enableMovement()
  enableRetry()
  endCutscene()
end